Subject: bug#57186: Using xr results in void-function

From: Eli Zaretskii <[email-masked]>
Date: Sun, 14 Aug 2022 09:47:59 +0300

> Date: Sat, 13 Aug 2022 20:35:33 +0000
> From:  uzibalqa via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> I am using `rx' as an alternative to the string-based regexp syntax.  `xr' in a very useful package to convert
> string regexp to `rx' notation.
> But when I do `M-x package-list-packages', I do not see `xr' getting listed.

I cannot reproduce this: I clearly do see 'xr' in the list of
packages.

Do you see this problem in "emacs -Q" as well?

And what version of Emacs is that?